Subject: Re: bug#72405: 29.4; Doc string of `org-indent-mode'

From: Eli Zaretskii <[email-masked]>
Date: Thu, 01 Aug 2024 08:03:37 +0300

> Date: Wed, 31 Jul 2024 20:23:59 +0000
> From:  Drew Adams via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Likely applies also to other minor-mode doc strings.
> 
> emacs -Q
> C-h f org-indent-mode
> ____
> 
> That shows you doc that includes this, where `org-indent-mode' is a link
> intended to give you information about the _variable_ of that name:
> 
>   To check whether the minor mode is enabled in the current buffer,
>   evaluate 'org-indent-mode'.
> 
> Clicking that link doesn't take you to the _variable_ part of the *Help*
> buffer; it just puts you back at the start of the buffer (after
> redrawing it uselessly).
> 
> It should take you to the description of the variable.  And the sentence
> should include the word "variable" before `org-indent-mode'; otherwise,
> it makes little sense to speak of evaluating that symbol, and the text
> can confuse or mislead users.

Thanks, but please report Org issues to the Org mailing list first.
If the Org developers determine it's a core Emacs problem (which is
hardly possible in this case, but who knows?), then it should be
reported here.